POSTSearch Events

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/blockchain/searchEvents

Searches for specific events within a specified range.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
contractAddressstringrequired

Parameter specifying the contract address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

eventNamesstring[]required
anonymousboolean

Indicates whether the event is anonymous.

inputsobject[]

List of input parameters for the function or event.

indexedboolean

Indicates whether the event parameter is indexed.

internalTypestring

The Solidity internal type.

namestring

The parameter name.

typestring

The ABI type.

namestring

The name of the function or event.

typestring

The kind of ABI item (e.g. event, function).

fromBlockstring

Parameter specifying the starting block for the query. You can enter one of the following formats:

  • block number: Enter block number as a decimal string.
  • block hash: 64-character hexadecimal (including "0x").
  • block tag: Use "earliest" or "latest" to specify the first block or the most recent block.

Notes:

  • This field cannot be used together with fromDate and toDate.
  • If provided without fromBlock, results are queried from genesis block to this block.
  • toBlock value cannot be less than fromBlock value.
  • If fromBlock and toBlock have the same value, only that block is queried.
  • "earliest" for toBlock is only allowed when fromBlock is "earliest".
  • If fromBlock and toBlock are not provided, the API queries data from the latest 30 days.
toBlockstring

Parameter specifying the ending block for the query. You can enter one of the following formats:

  • block number: Enter block number as a decimal string.
  • block hash: 64-character hexadecimal (including "0x").
  • block tag: Use "earliest" or "latest" to specify the first block or the most recent block.

Notes:

  • This field cannot be used together with fromDate and toDate.
  • If provided without fromBlock, results are queried from genesis block to this block.
  • toBlock value cannot be less than fromBlock value.
  • If fromBlock and toBlock have the same value, only that block is queried.
  • "earliest" for toBlock is only allowed when fromBlock is "earliest".
  • If fromBlock and toBlock are not provided, the API queries data from the latest 30 days.
fromDatestring

Parameter specifying the start date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.

Notes:

  • If provided without toDate, results are queried from this date to the latest block.
  • fromDate value must be equal to or earlier than toDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
toDatestring

Parameter specifying the end date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.

Notes:

  • If provided without fromDate, results are queried from genesis block to this date.
  • toDate value must be equal to or later than fromDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
pageinteger

The page parameter specifies the data page to query. It accepts values up to 100; for pages exceeding 100, use the cursor pagination method.

The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.

rppinteger

rpp stands for results per page and specifies the page size. You can specify a number greater than 0 and up to 100.

cursorstring

The cursor parameter supports pagination and data navigation between pages. Provide the cursor value from the previous page in the next request to load the next page of data.

The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.

withCountboolean

Parameter specifying whether to include the count field in the response. The count field indicates the total number of requested data items. When set to true, the count field is included and response speed may be slower.

Responses
pageinteger

Field representing the page number specified in the page parameter. This field is only included in the response when a value greater than 0 is specified for the page parameter.

rppinteger

Field representing the number of results per page specified in the rpp parameter.

cursorstring

A field for cursor pagination. This value must be provided in the next request to load the next page of data.

countinteger

Field representing the total count of requested data. This field is only included in the response when true is set for the withCount parameter.

fromDatestring

Field representing the start of the query range in Date mode. Returned in ISO 8601 format.

toDatestring

Field representing the end of the query range in Date mode. Returned in ISO 8601 format.

fromBlockinteger

Field representing the start block height of the query range in Block mode.

toBlockinteger

Field representing the end block height of the query range in Block mode.

fromLedgerinteger

Field representing the start ledger index of the query range in Ledger mode.

toLedgerinteger

Field representing the end ledger index of the query range in Ledger mode.

contractAddressstringrequired

A field representing the contract address that generated the log. Provided as a 40-character hexadecimal string prefixed with 0x.

transactionHashstringrequired

A field representing the hash of the transaction that generated the log. Provided as a 64-character hexadecimal string prefixed with 0x.

transactionIndexintegerrequired

A field representing the index of the transaction that generated the log. Indicates the order within the block. Provided in decimal string format.

blockHashstringrequired

A field representing the hash of the block that generated the log. Provided as a 64-character hexadecimal string prefixed with 0x.

blockNumberintegerrequired

A field representing the block number that generated the log.

datastringrequired

A field representing the data of the log. Provided as a hexadecimal string prefixed with 0x. This field represents the event data of the log.

logIndexintegerrequired

A field representing the index of the log. Indicates the order of events in the transaction. Provided in decimal string format.

removedbooleanrequired

A field indicating whether the log was removed. Returns true if the log was removed due to chain reorganization (Reorg).

topicsstring[]required

A field representing the indexed arguments of the log. Can have up to 4 topics.

decodedTopicsobjectrequired

An object decoded based on the ABI provided in the request. The value type of all sub-fields is always string.

  • The number and names of fields may vary per Event Signature.
eventSignaturestringrequired

The event signature decoded based on the ABI provided in the request.

eventNamestringrequired

The value provided as eventName in the request.

X-API-KEY
RequestCU350
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/blockchain/searchEvents" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "contractAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
  "eventNames": ["Transfer"],
  "abi": [
    {
      "anonymous": false,
      "inputs": [
        {
          "indexed": true,
          "internalType": "address",
          "name": "from",
          "type": "address"
        },
        {
          "indexed": true,
          "internalType": "address",
          "name": "to",
          "type": "address"
        },
        {
          "indexed": false,
          "internalType": "uint256",
          "name": "value",
          "type": "uint256"
        }
      ],
      "name": "Transfer",
      "type": "event"
    }
  ],
  "fromDate": "2026-01-01T00:00:00Z",
  "toDate": "2026-02-01T00:00:00Z"
}'
Response
Example · 200
{
  "page": 0,
  "rpp": 0,
  "cursor": "string",
  "count": 0,
  "range": {
    "fromDate": "string",
    "toDate": "string",
    "fromBlock": 0,
    "toBlock": 0,
    "fromLedger": 0,
    "toLedger": 0
  },
  "items": [
    {
      "contractAddress": "0xB1F1ee126e9c96231Cc3d3fAD7C08b4cf873b1f1",
      "transactionHash": "0x75f0194c076da2fbcf09b7e5cd302ee25a8b97ec5110bb89184682170e7dd5c4",
      "transactionIndex": 6,
      "blockHash": "0x34c66823a963328f629116378f54d147ab67ab9d703c5898cf0b6a8822a778c8",
      "blockNumber": 21309845,
      "data": "0x000000000000000000000000000000000000000000000000410ba9e7b561fe8e",
      "logIndex": 72,
      "removed": false,
      "topics": [
        "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
        "0x000000000000000000000000fba26c3f9c8ecef989def3c5c8ad037487462d83",
        "0x0000000000000000000000001f2f10d1c40777ae1da742455c65828ff36df387"
      ]
    }
  ]
}